### Method

# Gio OutputStream set_pending

#### Declaration

    gboolean
    g_output_stream_set_pending (
      GOutputStream* stream
      GError** error
    )

#### Description

Sets `stream` to have actions pending. If the pending flag is already set or `stream` is closed, it will return `FALSE` and set `error`.

#### Return value

Type: `gboolean`

`TRUE` if pending was previously unset and is now set.